explain_malloc_or_die(3)

NAME
explain_malloc_or_die - Allocate and free dynamic memory and report errors
    "Allocate and free dynamic memory and report errors"

SYNOPSIS
#include <libexplain/malloc.h>

void *explain_malloc_or_die(size_t size);

DESCRIPTION
The explain_malloc_or_die function is used to call the malloc(3) system call. On failure an explanation will be printed to stderr, obtained from explain_malloc(3), and then the process terminates by calling exit(EXIT_FAILURE).

This function is intended to be used in a fashion similar to the following example:
    void *result = explain_malloc_or_die(size);

size
    The size, exactly as to be passed to the malloc(3) system call.

Returns:
    This function only returns on success. On failure, prints an explanation and exits.

SEE ALSO

malloc(3)
    Allocate and free dynamic memory

explain_malloc(3)
    explain malloc(3) errors

exit(2)
    terminate the calling process

COPYRIGHT
libexplain version 1.1
Copyright (C) 2009 Peter Miller